package calcolonumerico;

import calcolonumerico.funzioni.Cubica;
import calcolonumerico.funzioni.Seno;
import calcolonumerico.funzioni.Parabola;
import calcolonumerico.analisi.Integrale;

public class Main {

    public static void main(String[] args) {
        double a, b;
        int n = 10;

        a = 0.0;
        b = 1.0;
        Parabola par = new Parabola();
        System.out.println("Integrale da 0 a 1 di y = x^2");
        System.out.println("RettangoliInf: " + Integrale.rettInf(a, b, n, par));
        System.out.println("RettangoliSup: " + Integrale.rettSup(a, b, n, par));
        System.out.println("      Trapezi: " + Integrale.trap(a, b, n, par));
        System.out.println("      Simpson: " + Integrale.simp(a, b, n, par));

        System.out.println();

        a = 0.0;
        b = 1.0;
        Cubica cub = new Cubica();
        System.out.println("Integrale da 0 a 1 di y = x^3");
        System.out.println("RettangoliInf: " + Integrale.rettInf(a, b, n, cub));
        System.out.println("RettangoliSup: " + Integrale.rettSup(a, b, n, cub));
        System.out.println("      Trapezi: " + Integrale.trap(a, b, n, cub));
        System.out.println("      Simpson: " + Integrale.simp(a, b, n, cub));

        System.out.println();

        a = 0.0;
        b = Math.PI / 2.0;
        Seno sen = new Seno();
        System.out.println("Integrale da 0 a Pi/2 di y = sin(x)");
        System.out.println("RettangoliInf: " + Integrale.rettInf(a, b, n, sen));
        System.out.println("RettangoliSup: " + Integrale.rettSup(a, b, n, sen));
        System.out.println("      Trapezi: " + Integrale.trap(a, b, n, sen));
        System.out.println("      Simpson: " + Integrale.simp(a, b, n, sen));
    }

}
